%global srcname tornado

Name:           python3-%{srcname}
Version:        4.4.2
Release:        1%{?dist}
Summary:        Scalable, non-blocking web server and tools

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://www.tornadoweb.org
Source0:        https://github.com/tornadoweb/tornado/archive/v%{version}/%{srcname}-%{version}.tar.gz
# Patch to use system CA certs instead of certifi
Patch0:         python-tornado-cert.patch
# Patch to run tests from project dir
# https://github.com/tornadoweb/tornado/pull/1781
Patch1:         python-tornado-test.patch

%description
Tornado is an open source version of the scalable, non-blocking web
server and tools.

The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        Scalable, non-blocking web server and tools
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-devel
%if 0%{?python3_pkgversion} < 35
# Only needed for python < 3.5
BuildRequires:  python%{python3_pkgversion}-backports_abc
%endif
Requires:       python%{python3_pkgversion}-pycurl
%if 0%{?python3_pkgversion} < 35
# Only needed for python < 3.5
Requires:       python%{python3_pkgversion}-backports_abc
%endif
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
Tornado is an open source version of the scalable, non-blocking web
server and tools.

The framework is distinct from most mainstream web server frameworks
(and certainly most Python frameworks) because it is non-blocking and
reasonably fast. Because it is non-blocking and uses epoll, it can
handle thousands of simultaneous standing connections, which means it is
ideal for real-time web services.


%package doc
Summary:        Examples for python-tornado
Group:          Documentation

%description doc
Tornado is an open source version of the scalable, non-blocking web
server and and tools. This package contains some example applications.


%prep 
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .cert
%patch1 -p1 -b .test
# remove shebang from files
sed -i.orig -e '/^#!\//, 1d' *py tornado/*.py tornado/*/*.py


%build
%py3_build
# Need to wait for python3-sphinx
#sphinx-build -q -E -n -W -b html docs docs/html



%install
%py3_install


%check
%{__python3} -m tornado.test.runtests --verbose


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{srcname}-%{version}-*.egg-info

%files doc
%license LICENSE
%doc demos


%changelog
* Thu Nov 17 2016 Orion Poplawski <orion@cora.nwra.com> - 4.4.2-1
- Update to 4.4.2

* Fri Sep 16 2016 Orion Poplawski <orion@cora.nwra.com> - 4.4.1-1
- Update to 4.4.1

* Thu Feb 18 2016 Orion Poplawski <orion@cora.nwra.com> - 4.3-1
- Initial EPEL package
